# H235_ECpoint Class Reference

`#include <h235.h>`

Inheritance diagram for H235_ECpoint:

List of all members.

## Public Types

enum | OptionalFields { e_x, e_y }

## Public Member Functions

| H235_ECpoint (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_BitString | m_x
PASN_BitString | m_y

## Member Enumeration Documentation

enum H235_ECpoint::OptionalFields

Enumerator:

  e_x |
  e_y |

## Constructor & Destructor Documentation

H235_ECpoint::H235_ECpoint | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_ECpoint::GetDataLength | ( |  | ) | const

PBoolean H235_ECpoint::Decode | ( | PASN_Stream & | strm | ) |

void H235_ECpoint::Encode | ( | PASN_Stream & | strm | ) | const

void H235_ECpoint::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_ECpoint::Compare | ( | const PObject & | obj | ) | const

PObject* H235_ECpoint::Clone | ( |  | ) | const

## Member Data Documentation

PASN_BitString H235_ECpoint::m_x

PASN_BitString H235_ECpoint::m_y

The documentation for this class was generated from the following file:

- h235.h